wrpy_c_api Struct Reference

C++ functions exported by the wreport python bindings, to be used by other C++ bindings. More...

`#include <python.h>`

## Data Fields

wrpy_Var *(* | var_create )(const wreport::Varinfo &)
| Create a new unset wreport.Var object.
PyObject *(* | var_create_i )(const wreport::Varinfo &, int)
| Create a new wreport.Var object with an integer value.
PyObject *(* | var_create_d )(const wreport::Varinfo &, double)
| Create a new wreport.Var object with a double value.
PyObject *(* | var_create_c )(const wreport::Varinfo &, const char *)
| Create a new wreport.Var object with a C string value.
PyObject *(* | var_create_s )(const wreport::Varinfo &, const std::string &)
| Create a new wreport.Var object with a std::string value.
PyObject *(* | var_create_copy )(const wreport::Var &)
| Create a new wreport.Var object as a copy of an existing var.
PyObject *(* | var_value_to_python )(const wreport::Var &)
| Read the value of a variable as a new Python object.
int(* | var_value_from_python )(PyObject *o, wreport::Var &)
| Set the value of a variable from a Python object (borrowed reference).
PyObject *(* | varinfo_create )(wreport::Varinfo)
| Create a wreport.Varinfo object from a C++ Varinfo.
PyObject *(* | vartable_create )(const wreport::Vartable *)
| Create a wreport:Vartable object from a C++ Vartable.
unsigned | version_major
| C API major version (updated on incompatible changes).
unsigned | version_minor
| C API minor version (updated on backwards-compatible changes).
PyTypeObject * | varinfo_type
| Varinfo type.
PyTypeObject * | vartable_type
| Vartable type.
PyTypeObject * | var_type
| Var type.
PyObject *(* | var_create_move )(wreport::Var &&)
| Create a new wreport.Var object, moving an existing var.
wreport::Var *(* | var )(PyObject *o)
| Return the variable for a wreport.Var object.
PyObject *(* | var_create_v )(const wreport::Varinfo &, const wreport::Var &)
| Create a new wreport.Var object with the value from another variable.

## Detailed Description

C++ functions exported by the wreport python bindings, to be used by other C++ bindings.

To use them, retrieve a pointer to the struct via the Capsule system:

wrpy_c_api* wrpy = (wrpy_c_api*)PyCapsule_Import("_wreport._C_API", 0);
wrpy_c_api
C++ functions exported by the wreport python bindings, to be used by other C++ bindings.
Definition python.h:52

The documentation for this struct was generated from the following file:

- python.h